<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingTop="1dp"
    android:paddingBottom="1dp"
    >

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="match_parent"
        android:layout_height="110dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:background="@color/white"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textSlot"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:gravity="center"
            android:layout_weight="1"
            android:text="@string/lane_number"
            android:textSize="24sp"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="5dp"
            android:textStyle="bold"/>

        <TextView
            android:id="@+id/textProductName"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="5dp"
            android:layout_weight="4"
            android:gravity="center"
            android:text="@string/product_name"
            android:textSize="24sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/textCount"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="5dp"
            android:text="@string/amount"
            android:textSize="24sp"
            android:textStyle="bold"/>

        <EditText
            android:id="@+id/editCount"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:focusableInTouchMode="true"
            android:focusable="true"
            android:descendantFocusability="blocksDescendants"
            android:text="0"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="5dp"
            android:inputType="number"
            android:visibility="gone"
            android:textSize="24sp"
            android:textStyle="bold"
            android:imeOptions="actionSend"
            >
        </EditText>

        <TextView
            android:id="@+id/textLock"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/lock"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="5dp"
            android:textColor="@color/light_gray"
            android:textSize="24sp"
            android:textStyle="bold"/>

        <TextView
            android:id="@+id/textDelete"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/delete"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="5dp"
            android:textSize="24sp"
            android:textStyle="bold"/>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>